atkmm: Atk::ObjectAccessible Class Reference

atkmm 2.24.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Related Functions | List of all members
Atk::ObjectAccessible Class Reference

This object class is derived from AtkObject and can be used as a basis implementing accessible objects. More...

`#include <atkmm/objectaccessible.h>`

Inheritance diagram for Atk::ObjectAccessible:
[legend]

## Public Member Functions
| ObjectAccessible (ObjectAccessible&& src) noexcept
ObjectAccessible& | operator= (ObjectAccessible&& src) noexcept
virtual | ~ObjectAccessible () noexcept
AtkGObjectAccessible* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkGObjectAccessible* | gobj () const
| Provides access to the underlying C GObject. More...
AtkGObjectAccessible* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Public Member Functions inherited from Atk::Object
| Object (Object&& src) noexcept
Object& | operator= (Object&& src) noexcept
virtual | ~Object () noexcept
AtkObject* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkObject* | gobj () const
| Provides access to the underlying C GObject. More...
AtkObject* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::ustring | get_name () const
| Gets the accessible name of the accessible. More...
Glib::ustring | get_description () const
| Gets the accessible description of the accessible. More...
Glib::RefPtr< Atk::Object > | get_parent ()
| Gets the accessible parent of the accessible. More...
int | get_n_accessible_children () const
| Gets the number of accessible children of the accessible. More...
Glib::RefPtr< Atk::Object > | get_accessible_child (int i)
| Gets a reference to the specified accessible child of the object. More...
Glib::RefPtr< RelationSet > | get_relation_set ()
| Gets the Atk::RelationSet associated with the object. More...
Role | get_role () const
| Gets the role of the accessible. More...
Glib::RefPtr< StateSet > | get_state_set ()
| Gets a reference to the state set of the accessible; the caller must unreference it when it is no longer needed. More...
int | get_index_in_parent ()
| Gets the 0-based index of this accessible in its parent; returns -1 if the accessible does not have an accessible parent. More...
void | set_name (const Glib::ustring& name)
| Sets the accessible name of the accessible. More...
void | set_description (const Glib::ustring& description)
| Sets the accessible description of the accessible. More...
void | set_parent (const Glib::RefPtr< Atk::Object >& parent)
| Sets the accessible parent of the accessible. More...
void | set_role (Role role)
| Sets the role of the accessible. More...
void | notify_state_change (State state, bool value)
| Emits a state-change signal for the specified state. More...
bool | add_relationship (RelationType relationship, const Glib::RefPtr< Object >& target)
| Adds a relationship of the specified type with the specified target. More...
bool | remove_relationship (RelationType relationship, const Glib::RefPtr< Object >& target)
| Removes a relationship of the specified type with the specified target. More...
Glib::SignalProxy2< void, guint, gpointer > | signal_children_changed ()
Glib::SignalProxy1< void, bool > | signal_focus_event ()
Glib::SignalProxy1< void, AtkPropertyValues* > | signal_property_change ()
Glib::SignalProxy2< void, const Glib::ustring&, bool > | signal_state_change ()
Glib::SignalProxy0< void > | signal_visible_data_changed ()
Glib::SignalProxy1< void, void** > | signal_active_descendant_changed ()
Glib::PropertyProxy< Glib::ustring > | property_accessible_name ()
| Object instance's name formatted for assistive technology access. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_name () const
| Object instance's name formatted for assistive technology access. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_description ()
| Description of an object, formatted for assistive technology access. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_description () const
| Description of an object, formatted for assistive technology access. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_parent ()
| Parent of the current accessible as returned by atk_object_get_parent(). More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_parent () const
| Parent of the current accessible as returned by atk_object_get_parent(). More...
Glib::PropertyProxy< double > | property_accessible_value ()
| Is used to notify that the value has changed. More...
Glib::PropertyProxy_ReadOnly< double > | property_accessible_value () const
| Is used to notify that the value has changed. More...
Glib::PropertyProxy< int > | property_accessible_role ()
| The accessible role of this object. More...
Glib::PropertyProxy_ReadOnly< int > | property_accessible_role () const
| The accessible role of this object. More...
Glib::PropertyProxy_ReadOnly< int > | property_accessible_component_layer () const
| The accessible layer of this object. More...
Glib::PropertyProxy_ReadOnly< int > | property_accessible_component_mdi_zorder () const
| The accessible MDI value of this object. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_table_caption ()
| Is used to notify that the table caption has changed; this property should not be used. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_table_caption () const
| Is used to notify that the table caption has changed; this property should not be used. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_table_column_description ()
| Is used to notify that the table column description has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_table_column_description () const
| Is used to notify that the table column description has changed. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_column_header ()
| Is used to notify that the table column header has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_column_header () const
| Is used to notify that the table column header has changed. More...
Glib::PropertyProxy< Glib::ustring > | property_accessible_table_row_description ()
| Is used to notify that the table row description has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_accessible_table_row_description () const
| Is used to notify that the table row description has changed. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_row_header ()
| Is used to notify that the table row header has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_row_header () const
| Is used to notify that the table row header has changed. More...
Glib::PropertyProxy< Glib::RefPtr< Atk::Object > > | property_accessible_table_summary ()
| Is used to notify that the table summary has changed. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Atk::Object > > | property_accessible_table_summary () const
| Is used to notify that the table summary has changed. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
Static Public Member Functions inherited from Atk::Object
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
Glib::RefPtr< Glib::Object > | get_object ()
| Gets the GObject for which obj is the accessible object. More...
Glib::RefPtr< const Glib::Object > | get_object () const
| Gets the GObject for which obj is the accessible object. More...
Protected Member Functions inherited from Atk::Object
virtual void | on_children_changed (guint change_index, gpointer changed_child)
| This is a default handler for the signal signal_children_changed(). More...
virtual void | on_focus_event (bool focus_in)
| This is a default handler for the signal signal_focus_event(). More...
virtual void | on_property_change (AtkPropertyValues* values)
| This is a default handler for the signal signal_property_change(). More...
virtual void | on_state_change (const Glib::ustring& name, bool state_set)
| This is a default handler for the signal signal_state_change(). More...
virtual void | on_visible_data_changed ()
| This is a default handler for the signal signal_visible_data_changed(). More...
virtual void | on_active_descendant_changed (void** child)
| This is a default handler for the signal signal_active_descendant_changed(). More...
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Static Protected Member Functions
static Glib::RefPtr< Atk::Object > | for_object (const Glib::RefPtr< Glib::Object >& obj)
| Gets the accessible object for the specified obj. More...
static Glib::RefPtr< const Atk::Object > | for_object (const Glib::RefPtr< const Glib::Object >& obj)
| Gets the accessible object for the specified obj. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::ObjectAccessible > | wrap (AtkGObjectAccessible* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Atk::Object
Glib::RefPtr< Atk::Object > | wrap (AtkObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

This object class is derived from AtkObject and can be used as a basis implementing accessible objects.

This can be used as a basis for implementing accessible objects for Glib::Objects which are not derived from Gtk::Widget. One example of its use is in providing an accessible object for GnomeCanvasItem in the GAIL library.

## Constructor & Destructor Documentation

Atk::ObjectAccessible::ObjectAccessible | ( | ObjectAccessible&& | src | ) |
| noexcept

virtual Atk::ObjectAccessible::~ObjectAccessible | ( |  | ) |
| virtualnoexcept

## Member Function Documentation

static Glib::RefPtr<Atk::Object> Atk::ObjectAccessible::for_object | ( | const Glib::RefPtr< Glib::Object > & | obj | ) |
| staticprotected

Gets the accessible object for the specified obj.

Parameters

  obj | A Object.

Returns
  A Atk::Object which is the accessible object for the obj.

static Glib::RefPtr<const Atk::Object> Atk::ObjectAccessible::for_object | ( | const Glib::RefPtr< const Glib::Object > & | obj | ) |
| staticprotected

Gets the accessible object for the specified obj.

Parameters

  obj | A Object.

Returns
  A Atk::Object which is the accessible object for the obj.

Glib::RefPtr<Glib::Object> Atk::ObjectAccessible::get_object | ( |  | ) |
| protected

Gets the GObject for which obj is the accessible object.

Returns
  A Object which is the object for which obj is the accessible object.

Glib::RefPtr<const Glib::Object> Atk::ObjectAccessible::get_object | ( |  | ) | const
| protected

Gets the GObject for which obj is the accessible object.

Returns
  A Object which is the object for which obj is the accessible object.

static GType Atk::ObjectAccessible::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

AtkGObjectAccessible* Atk::ObjectAccessible::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const AtkGObjectAccessible* Atk::ObjectAccessible::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

AtkGObjectAccessible* Atk::ObjectAccessible::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

ObjectAccessible& Atk::ObjectAccessible::operator= | ( | ObjectAccessible&& | src | ) |
| noexcept

## Friends And Related Function Documentation

Glib::RefPtr< Atk::ObjectAccessible > wrap | ( | AtkGObjectAccessible * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.